API reference
Search endpoint
Search approved public records without exposing private repository data.
Request
GET /api/v1/searchSearches commit, release, finding, repository, news, article, status-service and mission records.
| Parameter | Accepted value |
|---|---|
| Query | q (required), type, limit, cursor |
Response fields
| Field | Meaning |
|---|---|
| id / type | Stable result id and supported public result type. |
| title / description | Matched public text. |
| href | Internal public detail link. |
| matchedFields | Fields that matched q. |
| provenance | Source and freshness metadata. |
{
"data": [
{
"id": "fluxerstatus:cmlv1ho3002orpaobo7ctpoxr",
"type": "status-service",
"title": "Marketing Site",
"description": "operational · 1403 stored checks",
"href": "/status/services/fluxerstatus%3Acmlv1ho3002orpaobo7ctpoxr",
"source": "Fluxer Status",
"repository": null,
"timestamp": "2026-08-22T17:59:43.875Z",
"matchedFields": [
"key"
],
"provenance": {
"source": "Fluxer Status",
"sourceKind": "official-source",
"sourceUrl": "https://fluxerstatus.com",
"observedAt": "2026-08-22T17:59:43.875Z",
"confidence": "high",
"isOfficialSource": true
}
}
],
"meta": {
"apiVersion": "v1",
"generatedAt": "2026-08-22T17:59:48.762Z",
"dataStatus": "fresh",
"nextCursor": "eyJrZXkiOiJzZWFyY2gtb2Zmc2V0IiwiaWQiOiIxIn0",
"hasMore": true
}
}Notes and relationships
q must contain 2–100 characters.